> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get bank transfer requirements

GET https://api.letsdeel.com/rest/payouts/contractors/methods/bank_transfers/requirements

Call this endpoint before creating a bank transfer payout method to determine the required input fields for the given country and currency, along with a fee preview for the specified amount (defaulting to 100.00 when none is provided). The returned fields map directly to the payload expected by the bank transfer method creation endpoint.

 **Token scopes**: `worker:read`

Reference: https://developer.deel.com/api/reference/endpoints/payouts/get-bank-transfer-requirements-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `country` (string, required) — Country code
- `currency` (string, required) — Currency code
- `amount` (double, optional) — Amount for calculating fees, if not provided, the default amount of 100.00 is used

## Response

### 200

Successful operation.

- `data` (list of PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItems, required)

## Errors

### 400 Bad Request Error

Invalid request parameters.

- `errors` (list of PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItems

- `type` (string, required) — Type of bank transfer, such as local, swift, iban. Maps to selected_option in method creation data.
- `title` (string, required) — Title of the bank transfer method
- `fields` (list of PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItems, required) — Each field key is input field for the bank transfer method creation payload.
- `total_fee` (string, required) — Fee preview for amount provided in query parameter
- `intermediary` (list of PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItems, optional) — Each field is input for the bank transfer method creation payload intermediary object

### PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Machine-readable error code.
- `message` (string, optional) — Human-readable explanation.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItems

- `name` (string, required) — User-facing label for the field group.
- `group` (list of PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItemsGroupItems, required) — List of input field definitions within this group.

### PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItems

- `name` (string, required) — User facing name of the intermediary object
- `group` (list of PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItemsGroupItems, required) — List of input field definitions for the intermediary bank.

### PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItemsGroupItems

- `key` (string, required) — The key of the field in the method creation payload
- `name` (string, required) — User facing name of property
- `type` (enum, required) — The type of the field, such as text, radio, select, or date_local.
  - Allowed values: `text`, `radio`, `select`, `date_local`
- `required` (boolean, required) — Whether the field is required
- `example` (string, optional) — Example value for the field
- `max_length` (integer, optional, nullable) — The maximum length of the field
- `min_length` (integer, optional, nullable) — The minimum length of the field
- `display_format` (string, optional, nullable) — Optional display format hint for the field
- `values_allowed` (list of PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItemsGroupItemsValuesAllowedItems, optional, nullable) — An array of allowed values with corresponding key and name.
- `validation_regexp` (string, optional, nullable) — The regular expression to validate the field
- `refresh_requirements_on_change` (boolean, optional) — Whether to refresh the requirements when the field value changes with field key as query parameter

### PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItemsGroupItems

- `key` (string, required) — The key of the intermediary field in the method creation payload.
- `name` (string, required) — User facing name of the intermediary object
- `type` (string, required) — The type of the field, such as text, radio, select, or date_local.
- `required` (boolean, required) — Whether the field is required
- `example` (string, optional) — Example value for the field
- `max_length` (integer, optional, nullable) — The maximum length of the field
- `min_length` (integer, optional, nullable) — The minimum length of the field
- `values_allowed` (list of PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItemsGroupItemsValuesAllowedItems, optional, nullable) — An array of allowed values with corresponding key and name.
- `validation_regexp` (string, optional, nullable) — The regular expression to validate the field

### PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItemsGroupItemsValuesAllowedItems

- `key` (string, required) — The country code (e.g., AL for Albania).
- `name` (string, required) — The full name of the country (e.g., Albania).

### PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItemsGroupItemsValuesAllowedItems

- `key` (string, required) — The country code (e.g., AL for Albania).
- `name` (string, required) — The full name of the country (e.g., Albania).

## Examples

**Response**

```json
{
  "data": [
    {
      "type": "turkey",
      "title": "Local bank account",
      "fields": [
        {
          "name": "Recipient's first name",
          "group": [
            {
              "key": "firstName",
              "name": "Recipient's first name",
              "type": "text",
              "required": true,
              "max_length": 50
            }
          ]
        },
        {
          "name": "Recipient's last name",
          "group": [
            {
              "key": "lastName",
              "name": "Recipient's last name",
              "type": "text",
              "required": true,
              "max_length": 50
            }
          ]
        },
        {
          "name": "Recipient's phone number",
          "group": [
            {
              "key": "phone",
              "name": "Recipient's phone number",
              "type": "text",
              "required": true,
              "max_length": 20
            }
          ]
        },
        {
          "name": "Account Number (IBAN)",
          "group": [
            {
              "key": "bank_account",
              "name": "Recipient's IBAN",
              "type": "text",
              "required": true,
              "example": "TR1234567890",
              "max_length": 26
            }
          ]
        }
      ],
      "total_fee": "0.0000"
    },
    {
      "type": "swift_code",
      "title": "SWIFT",
      "fields": [
        {
          "name": "Full name of the account holder",
          "group": [
            {
              "key": "beneficiaryName",
              "name": "Full name of the account holder",
              "type": "text",
              "required": true,
              "example": "John Doe",
              "refresh_requirements_on_change": false
            }
          ]
        },
        {
          "name": "SWIFT / BIC code",
          "group": [
            {
              "key": "swiftCode",
              "name": "SWIFT / BIC code",
              "type": "text",
              "required": true,
              "example": "BUKBGB22",
              "max_length": 11,
              "min_length": 8,
              "display_format": null,
              "values_allowed": null,
              "validation_regexp": "^[a-zA-Z]{6}(([a-zA-Z0-9]{2})|([a-zA-Z0-9]{5}))$",
              "refresh_requirements_on_change": true
            }
          ]
        },
        {
          "name": "IBAN / Account Number",
          "group": [
            {
              "key": "accountNumber",
              "name": "IBAN / Account Number",
              "type": "text",
              "required": true,
              "example": "123456789012",
              "max_length": 34,
              "min_length": 4,
              "display_format": null,
              "values_allowed": null,
              "validation_regexp": "^[a-zA-Z0-9]{4,34}$",
              "refresh_requirements_on_change": false
            }
          ]
        }
      ],
      "total_fee": "5.0000",
      "intermediary": [
        {
          "name": "BIC of the intermediary bank",
          "group": [
            {
              "key": "intermediary.bic",
              "name": "BIC of the intermediary bank",
              "type": "text",
              "required": true,
              "example": "BUKBGB22",
              "max_length": 11,
              "min_length": 8,
              "values_allowed": null,
              "validation_regexp": "^[a-zA-Z]{6}(([a-zA-Z0-9]{2})|([a-zA-Z0-9]{5}))$",
              "display_format": null,
              "refresh_requirements_on_change": true
            }
          ]
        },
        {
          "name": "Country of the intermediary bank",
          "group": [
            {
              "key": "intermediary.country",
              "name": "Country of the intermediary bank",
              "type": "select",
              "required": true,
              "example": "Choose a country",
              "max_length": null,
              "min_length": null,
              "values_allowed": [
                {
                  "key": "AS",
                  "name": "American Samoa"
                },
                {
                  "key": "AD",
                  "name": "Andorra"
                },
                {
                  "key": "AO",
                  "name": "Angola"
                }
              ],
              "validation_regexp": null,
              "display_format": null,
              "refresh_requirements_on_change": true
            }
          ]
        }
      ]
    }
  ]
}
```

**SDK Code**

```python Payouts_getBankTransferRequirements-v2026-01-01_example
import requests

url = "https://api.letsdeel.com/rest/payouts/contractors/methods/bank_transfers/requirements"

querystring = {"amount":"100","country":"US","currency":"USD"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Payouts_getBankTransferRequirements-v2026-01-01_example
const url = 'https://api.letsdeel.com/rest/payouts/contractors/methods/bank_transfers/requirements?amount=100&country=US&currency=USD';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Payouts_getBankTransferRequirements-v2026-01-01_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/payouts/contractors/methods/bank_transfers/requirements?amount=100&country=US&currency=USD"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Payouts_getBankTransferRequirements-v2026-01-01_example
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/payouts/contractors/methods/bank_transfers/requirements?amount=100&country=US&currency=USD")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Payouts_getBankTransferRequirements-v2026-01-01_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/payouts/contractors/methods/bank_transfers/requirements?amount=100&country=US&currency=USD")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Payouts_getBankTransferRequirements-v2026-01-01_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/payouts/contractors/methods/bank_transfers/requirements?amount=100&country=US&currency=USD', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Payouts_getBankTransferRequirements-v2026-01-01_example
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/payouts/contractors/methods/bank_transfers/requirements?amount=100&country=US&currency=USD");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Payouts_getBankTransferRequirements-v2026-01-01_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/payouts/contractors/methods/bank_transfers/requirements?amount=100&country=US&currency=USD")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```